// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

public interface ListArticlesResponseOrBuilder extends
    // @@protoc_insertion_point(interface_extends:dsepractice.chinese.v1alpha1.ListArticlesResponse)
    com.google.protobuf.MessageLiteOrBuilder {

  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.Article articles = 1 [json_name = "articles"];</code>
   */
  java.util.List<gg.dsepractice.chinese.v1alpha1.Article> 
      getArticlesList();
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.Article articles = 1 [json_name = "articles"];</code>
   */
  gg.dsepractice.chinese.v1alpha1.Article getArticles(int index);
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.Article articles = 1 [json_name = "articles"];</code>
   */
  int getArticlesCount();

  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationInfo pagination_info = 2 [json_name = "paginationInfo"];</code>
   * @return Whether the paginationInfo field is set.
   */
  boolean hasPaginationInfo();
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationInfo pagination_info = 2 [json_name = "paginationInfo"];</code>
   * @return The paginationInfo.
   */
  gg.dsepractice.chinese.v1alpha1.PaginationInfo getPaginationInfo();
}
